{
  pkgs,
  ...
}: {
  vim = {
    autocomplete = {
      nvim-cmp = {
        enable = true;
           
        sources = {
          nvim_lsp = "[LSP]";
          path = "[PATH]";
          nvim_lua = "[LUA]";
        };
        sourcePlugins = [
          "cmp-nvim-lsp"
          "cmp-path"
        ];
      };
    };
    extraLuaFiles = [
      (builtins.path {
        path = ./raw/cmp.lua;
        name = "my-lua-file";
      })
    ];
  };
}
